=== modified file 'bzrlib/graph.py'
--- bzrlib/graph.py	2011-02-19 17:37:45 +0000
+++ bzrlib/graph.py	2011-04-05 17:57:02 +0000
@@ -23,7 +23,6 @@
     revision,
     trace,
     )
-from bzrlib.symbol_versioning import deprecated_function, deprecated_in
 
 STEP_UNIQUE_SEARCHER_EVERY = 5
 

=== modified file 'bzrlib/groupcompress.py'
--- bzrlib/groupcompress.py	2011-04-05 17:52:20 +0000
+++ bzrlib/groupcompress.py	2011-04-05 17:57:02 +0000
@@ -23,6 +23,8 @@
 except ImportError:
     pylzma = None
 
+from bzrlib.lazy_import import lazy_import
+lazy_import(globals(), """
 from bzrlib import (
     annotate,
     debug,
@@ -32,10 +34,12 @@
     pack,
     static_tuple,
     trace,
+    tsort,
     )
+""")
+
 from bzrlib.btree_index import BTreeBuilder
 from bzrlib.lru_cache import LRUSizeCache
-from bzrlib.tsort import topo_sort
 from bzrlib.versionedfile import (
     _KeyRefs,
     adapter_registry,
@@ -77,7 +81,7 @@
 
     present_keys = []
     for prefix in sorted(per_prefix_map):
-        present_keys.extend(reversed(topo_sort(per_prefix_map[prefix])))
+        present_keys.extend(reversed(tsort.topo_sort(per_prefix_map[prefix])))
     return present_keys
 
 
@@ -1470,7 +1474,7 @@
             the defined order, regardless of source.
         """
         if ordering == 'topological':
-            present_keys = topo_sort(parent_map)
+            present_keys = tsort.tsort.topo_sort(parent_map)
         else:
             # ordering == 'groupcompress'
             # XXX: This only optimizes for the target ordering. We may need

=== modified file 'bzrlib/tests/test_import_tariff.py'
--- bzrlib/tests/test_import_tariff.py	2011-04-05 17:52:20 +0000
+++ bzrlib/tests/test_import_tariff.py	2011-04-05 17:57:02 +0000
@@ -96,6 +96,7 @@
         # 'st' in a default format working tree shouldn't need many modules
         self.make_branch_and_tree('.')
         self.run_command_check_imports(['st'], [
+            'bzrlib.annotate',
             'bzrlib.atomicfile',
             'bzrlib.bugtracker',
             'bzrlib.bundle.commands',

